# uproot.source.xrootd.get_server_config

Defined in uproot.source.xrootd on line 24.

uproot.source.xrootd.get_server_config(file)
  Parameters:

    file (`XRootD.client.File`) – An XRootD file object.

  Query a XRootD server for its configuration.

  Returns a 2-tuple of integers:

  - `readv_iov_max`: The maximum number of elements that can be requested in a single vector read.

  - `readv_ior_max`: The maximum number of bytes that can be requested per element in a vector read.